package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * EmailSent generated by hbm2java
 */
@Entity
@Table(name="email_sent"
    ,schema="public"
)
public class EmailSent  implements java.io.Serializable {


     private Long id;
     private EmailForwardOutSettings emailForwardOutSettings;
     private SmsReceived smsReceived;
     private String data;
     private String subject;
     private String destinationMailAddress;
     private Date createdAt;
     private String emailMessageType;

    public EmailSent() {
    }

    public EmailSent(EmailForwardOutSettings emailForwardOutSettings, SmsReceived smsReceived, String data, String subject, String destinationMailAddress, Date createdAt, String emailMessageType) {
       this.emailForwardOutSettings = emailForwardOutSettings;
       this.smsReceived = smsReceived;
       this.data = data;
       this.subject = subject;
       this.destinationMailAddress = destinationMailAddress;
       this.createdAt = createdAt;
       this.emailMessageType = emailMessageType;
    }
   
     @SequenceGenerator(name="generator", sequenceName="email_sent_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="email_forward_out_id")
    public EmailForwardOutSettings getEmailForwardOutSettings() {
        return this.emailForwardOutSettings;
    }
    
    public void setEmailForwardOutSettings(EmailForwardOutSettings emailForwardOutSettings) {
        this.emailForwardOutSettings = emailForwardOutSettings;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="sms_received_id")
    public SmsReceived getSmsReceived() {
        return this.smsReceived;
    }
    
    public void setSmsReceived(SmsReceived smsReceived) {
        this.smsReceived = smsReceived;
    }

    
    @Column(name="data")
    public String getData() {
        return this.data;
    }
    
    public void setData(String data) {
        this.data = data;
    }

    
    @Column(name="subject")
    public String getSubject() {
        return this.subject;
    }
    
    public void setSubject(String subject) {
        this.subject = subject;
    }

    
    @Column(name="destination_mail_address")
    public String getDestinationMailAddress() {
        return this.destinationMailAddress;
    }
    
    public void setDestinationMailAddress(String destinationMailAddress) {
        this.destinationMailAddress = destinationMailAddress;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="created_at", length=29)
    public Date getCreatedAt() {
        return this.createdAt;
    }
    
    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    
    @Column(name="email_message_type")
    public String getEmailMessageType() {
        return this.emailMessageType;
    }
    
    public void setEmailMessageType(String emailMessageType) {
        this.emailMessageType = emailMessageType;
    }




}


